---
- name: Determine architecture
  set_fact:
    step_cli_arch: "{{ 'arm64' if ansible_architecture == 'aarch64' else 'amd64' }}"

- name: Download step-cli deb
  get_url:
    url: "https://dl.smallstep.com/cli/docs-cli-install/latest/step-cli_{{ step_cli_arch }}.deb"
    dest: "/tmp/step-cli_{{ step_cli_arch }}.deb"

- name: Install step-cli
  apt:
    deb: "/tmp/step-cli_{{ step_cli_arch }}.deb"
    state: present
  become: true
